#
# spec file for package Allure
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with tests
Name:           Allure
Version:        0.8.3.0
Release:        1.2
Summary:        Near-future Sci-Fi roguelike and tactical squad game
License:        AGPL-3.0-or-later AND GPL-2.0-only AND OFL-1.1
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-LambdaHack-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-enummapset-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-zlib-devel

%description
Allure of the Stars is a near-future Sci-Fi roguelike and tactical squad game.
Binaries and the game manual are available at homepage, where you can also try
the game out in the browser at <http://allureofthestars.com/play>. (It runs
fastest on Chrome. Keyboard commands and savefiles are supported only on recent
enough versions of browsers. Mouse should work everywhere.)

Not a single picture in this game. You have to imagine everything yourself,
like with a book (a grown-up book, without pictures). Once you learn to imagine
things, though, you can keep exploring and mastering the world and making up
stories for a long time.

The game is written in Haskell using the LambdaHack roguelike game engine
<http://hackage.haskell.org/package/LambdaHack>. Please see the changelog file
for recent improvements and the issue tracker for short-term plans.
Long term goals are high replayability and auto-balancing through procedural
content generation and persistent content modification based on player
behaviour. Contributions are welcome.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%check
%cabal_test

%files
%license COPYLEFT
%{_bindir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/GameDefinition
%dir %{_datadir}/%{name}-%{version}/GameDefinition/fonts
%{_datadir}/%{name}-%{version}/CHANGELOG.md
%{_datadir}/%{name}-%{version}/COPYLEFT
%{_datadir}/%{name}-%{version}/CREDITS
%{_datadir}/%{name}-%{version}/GameDefinition/InGameHelp.txt
%{_datadir}/%{name}-%{version}/GameDefinition/config.ui.default
%{_datadir}/%{name}-%{version}/GameDefinition/fonts/16x16x.fon
%{_datadir}/%{name}-%{version}/GameDefinition/fonts/8x8x.fon
%{_datadir}/%{name}-%{version}/GameDefinition/fonts/8x8xb.fon
%{_datadir}/%{name}-%{version}/GameDefinition/fonts/Fix15Mono-Bold.woff
%{_datadir}/%{name}-%{version}/GameDefinition/fonts/LICENSE.16x16x
%{_datadir}/%{name}-%{version}/GameDefinition/fonts/LICENSE.Fix15Mono-Bold
%{_datadir}/%{name}-%{version}/LICENSE
%{_datadir}/%{name}-%{version}/README.md

%changelog
* Mon Jul  9 2018 psimons@suse.com
- Add Allure at version 0.8.3.0.
